package com.ruoyi.project.sems.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.framework.aspectj.lang.annotation.DataScopePlant;
import com.ruoyi.project.sems.domain.DevData;
import com.ruoyi.project.sems.domain.TMeasureRecord;
import com.ruoyi.project.sems.domain.TSpecdevCc;
import com.ruoyi.project.sems.his.domain.TSpechiCc;

/**
 * 特种设备叉车台账Mapper接口
 *
 * @author ruoyi
 * @date 2021-07-26
 */
public interface TSpecdevCcMapper extends BaseMapper<TSpecdevCc>
{
    /**
     * 查询特种设备叉车台账
     *
     * @param id 特种设备叉车台账ID
     * @return 特种设备叉车台账
     */
    public TSpecdevCc selectTSpecdevCcById(Long id);

    /**
     * 查询特种设备叉车台账列表
     *
     * @param tSpecdevCc 特种设备叉车台账
     * @return 特种设备叉车台账集合
     */
    @DataScopePlant(deptAlias = "d")
    public List<TSpecdevCc> selectTSpecdevCcList(TSpecdevCc tSpecdevCc);

    List<TSpecdevCc> selectTSpecdevCcListByYear(TSpecdevCc tSpecdevCc);
    /**
     * 新增特种设备叉车台账
     *
     * @param tSpecdevCc 特种设备叉车台账
     * @return 结果
     */
    public int insertTSpecdevCc(TSpecdevCc tSpecdevCc);

    /**
     * 修改特种设备叉车台账
     *
     * @param tSpecdevCc 特种设备叉车台账
     * @return 结果
     */
    public int updateTSpecdevCc(TSpecdevCc tSpecdevCc);

    /**
     * 删除特种设备叉车台账
     *
     * @param id 特种设备叉车台账ID
     * @return 结果
     */
    public int deleteTSpecdevCcById(Long id);

    /**
     * 批量删除特种设备叉车台账
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSpecdevCcByIds(Long[] ids);

    List<DevData> otherDevCount(Map<String, Object> params);

    int updateTSpecdevCcByHi(TSpechiCc hientity);

    void duplicateTSpecdevCc();

    List<TSpecdevCc> selectExpiredCc(Integer month);

    List<TSpecdevCc> selectTSpecdevCcListByDevNo(TSpecdevCc param);
}
